util_parity(3)

NAME
util_parity - <util/parity.h>: Parity bit generation

  Macros
#define parity_even_bit(val)

Detailed Description

#include <util/parity.h>

This header file contains optimized assembler code to calculate the parity bit for a byte.

Macro Definition Documentation

  #define parity_even_bit(val)
Value:

(__extension__({                        unsigned char __t;                  __asm__ (                           "mov __tmp_reg__,%0" "t"             "swap %0" "t"                    "eor %0,__tmp_reg__" "t"             "mov __tmp_reg__,%0" "t"             "lsr %0" "t"                     "lsr %0" "t"                     "eor %0,__tmp_reg__"                    : "=r" (__t)                        : "0" ((unsigned char)(val))                : "r0"                      );                          (((__t + 1) >> 1) & 1);              }))

Returns:
    1 if val has an odd number of bits set.

Author

Generated automatically by Doxygen for avr-libc from the source code.